Package org.eclipse.emf.cdo.common.revision

## Interface CDORevisionCache.EvictionEvent

- All Superinterfaces:
    `CDOBranchProvider`, `CDOBranchVersion`, `CDOIDAndVersion`, `CDOIdentifiable`, `CDORevisionKey`, `CDOVersionProvider`, `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    CDORevisionCache

      public static interface CDORevisionCache.EvictionEvent
      extends org.eclipse.net4j.util.event.IEvent, CDORevisionKey

  An `event` fired from a `revision cache` for `revisions` that are evicted because they are no longer strongly referenced when free memory runs low.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `FIRST_VERSION, UNSPECIFIED_VERSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDORevision` | `getRevision()` | May be `null` for certain cache implementations.
    `CDORevisionCache` | `getSource()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `getBranch, getVersion`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOIDAndVersion

      `getVersion`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIdentifiable

      `getID`

- - ### Method Detail

    - #### getSource

          CDORevisionCache getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
      Since:
        3.0

    - #### getRevision

          CDORevision getRevision()

      May be `null` for certain cache implementations.
      Since:
        3.0